[arch-commits] Commit in hugin/trunk (PKGBUILD libpng14.patch)

Giovanni Scafora giovanni at archlinux.org
Wed Mar 31 09:48:59 UTC 2010


    Date: Wednesday, March 31, 2010 @ 05:48:59
  Author: giovanni
Revision: 74499

upgpkg: hugin 2010.0.0-1
upstream release

Modified:
  hugin/trunk/PKGBUILD
  hugin/trunk/libpng14.patch

----------------+
 PKGBUILD       |   27 ++++++++++++++-------------
 libpng14.patch |    4 ++--
 2 files changed, 16 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-31 09:36:03 UTC (rev 74498)
+++ PKGBUILD	2010-03-31 09:48:59 UTC (rev 74499)
@@ -4,33 +4,34 @@
 # Contributor: Dominik Ryba <domryba at post.pl>
 
 pkgname=hugin
-pkgver=2009.4.0
-pkgrel=4
+pkgver=2010.0.0
+pkgrel=1
 pkgdesc="A frontend to the panorama-tools"
 arch=('i686' 'x86_64')
 url="http://hugin.sourceforge.net/"
 license=('LGPL')
-depends=('wxgtk' 'libpano13' 'boost' 'enblend-enfuse' 'exiv2' 'openexr'
-	'autopano-sift-c' 'desktop-file-utils')
+depends=('wxgtk' 'libpano13' 'boost' 'enblend-enfuse' 'exiv2' 'openexr' 
+         'autopano-sift-c' 'lapack' 'desktop-file-utils')
 makedepends=('zip' 'cmake')
 optdepends=('perl-exiftool: write metadata on output images')
 install=${pkgname}.install
 source=(http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz
 	'libpng14.patch')
-md5sums=('ed197d35213a46c77489f512cb8ff191'
-	'b892397406da9a1b366bf44d051f404c')
-sha1sums=('a801a2521d66a9b0c8680bdfe84afe67bc79d1c8'
-	'159d592ecbcab399ab8beffb920b91616b4bdfff')
+md5sums=('0cd0b78e0d866023e3b6645e5010876f'
+         'e806c170e69f9d87cc2542338c86eab6')
 
 build() {
   cd ${srcdir}
-  patch -p0 -i libpng14.patch || return 1
-  mkdir build
-  cd build
-  cmake ../${pkgname}-${pkgver} \
+  patch -Np0 -i libpng14.patch || return 1
+
+  mkdir build && cd build || return 1
+
+  cmake "${srcdir}/${pkgname}-${pkgver}" \
     -DCMAKE_BUILD_TYPE=Release \
     -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_EXE_LINKER_FLAGS="-lpthread" || return 1
+    -DCMAKE_EXE_LINKER_FLAGS="-lpthread" \
+    -DENABLE_LAPACK=yes || return 1
+
   make || return 1
 }
 

Modified: libpng14.patch
===================================================================
--- libpng14.patch	2010-03-31 09:36:03 UTC (rev 74498)
+++ libpng14.patch	2010-03-31 09:48:59 UTC (rev 74499)
@@ -1,6 +1,6 @@
 diff -Naur hugin-2009.4.0-orig/src/foreign/vigra/vigra_impex/png.cxx hugin-2009.4.0/src/foreign/vigra/vigra_impex/png.cxx
---- hugin-2009.4.0-orig/src/foreign/vigra/vigra_impex/png.cxx	2010-01-21 20:13:52.000000000 -0500
-+++ hugin-2009.4.0/src/foreign/vigra/vigra_impex/png.cxx	2010-01-21 20:15:01.000000000 -0500
+--- hugin-2010.0.0/src/foreign/vigra/vigra_impex/png.cxx	2010-01-21 20:13:52.000000000 -0500
++++ hugin-2010.0.0/src/foreign/vigra/vigra_impex/png.cxx	2010-01-21 20:15:01.000000000 -0500
 @@ -271,8 +271,8 @@
          // expand gray values to at least one byte size
          if ( color_type == PNG_COLOR_TYPE_GRAY && bit_depth < 8 ) {




More information about the arch-commits mailing list